%chs3_ex11.m
disp('Line Spectra for a pulse train:')
disp('Amplitude A, width tau, period T_0, & time delay t_0')
A   = input('Amplitude  A = ');
tau = input('Width tau = ');
T_0 = input('Period = ');
t_0 = input('Time delay t_0 = ');
f_0 = 1/T_0;
n=(0:1:8*T_0);
%m=length(n);
X = A*tau/T_0*sinc(n*f_0*tau).*exp(-j*2*pi*n*f_0*t_0);
Xf = abs(X); Xtheta = angle(X);
nf_2 = [-n*f_0, n*f_0];
Xf_2 = [Xf, Xf];          % 2-sided amplitude spectrum 
Xtheta_2 = [-Xtheta, Xtheta]; % 2-sided angle spectrum 
subplot(2,1,1), stem(nf_2, Xf_2, 'r'), grid, 
xlabel('f, Hz'), ylabel('Amplitude spectrum')
subplot(2,1,2), stem(nf_2, Xtheta_2, 'm'), grid, 
xlabel('f, Hz'), ylabel('Phase spectrum')
 