[num, den] = butter(2, [300 500],  's')
bode(num, den)
w=[50  400   1200];
[H, Adeg]= bode(num, den, w); % |H(w)| & angle in degree
A = Adeg*pi/180;          %  Phase angle in radian
disp(['      |H|     Angle, rad'])
disp([H, A])
t=0:.03/500:.03;
x = sin(50*t) + sin(400*t) + sin(1200*t);
y = H(1)*sin(50*t+ A(1)) + H(2)*sin(400*t+A(2)) + H(3)*sin(1200*t+ A(3));
figure(2), plot(t,x, t, y), xlabel('t, sec')
text(0.001, 1.75, 'x(t)'), text(0.0036, 1.15, 'y(t)') 