
%	Function to compute raised cosine and derivatives
%
function [x,x_dot,x_ddot,x_dddot] = rsd_cos(t)
x_cos = .5*(1+cos(2*pi*t));
x = x_cos.*pls_fn(t);
x_dot = -pi*sin(2*pi*t).*pls_fn(t);
x_ddot = -2*pi^2*cos(2*pi*t).*pls_fn(t);
x_dddot = 4*pi^3*sin(2*pi*t).*pls_fn(t)+...
	2*pi^2*(impls_fn(t+.5,.01)-impls_fn(t-.5,.01));