% Chs10_ex.3
N = 10; k= 0:1:N-1;
x = 1+ 4*cos(2*pi/10*k + pi/3);
X = fft(x)/N;
disp([k', X'])
subplot(2,1,1), stem(k/N, abs(X), 'r')
xlabel('f'), ylabel('|X(f)|')
%We use ifft to reconstruct the signal
xrecon = ifft(X)*N;
xrecon=real(xrecon)'
subplot(2,1,2), plot(k/N, real(xrecon),'o', k/N, x)
xlabel('f'), ylabel('x[n]')
legend('Samples from ifft', 'Original signal', 0)